=== debian/changelog ===
odb-api (0.18.1-10build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:04 +0100

odb-api (0.18.1-10) unstable; urgency=medium

  * Add version number to B-D on eckit to ensure we pull recent version
  * Second definition of -D_ABI64=3 needed for MIPS fix in mips64.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Oct 2019 16:00:06 +0100

odb-api (0.18.1-9) unstable; urgency=medium

  * Build python3.8 properly. Closes: #942757
  * Better fix for MIPS64 FTBFS, thanks to YunQuiang Su. Closes: #924571

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 13:40:54 +0100

odb-api (0.18.1-8) unstable; urgency=medium

  * Drop Fortran-Mod: no longer used by dh_fortran_mod
  * Standards-Version: 4.4.1.0; no changes required
  * Patch for eckit 1.4.2 changes (+ compiler update?)
  * Split eckit; now provided in separate package
  * Typo in d/rules blocks python3.8 build. Closes: #942757, 3942687

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 10:09:57 +0100

odb-api (0.18.1-7) unstable; urgency=medium

  * Add libopenmpi-dev runtime dependency, to help cmake find libeckit_mpi include
    directories. Closes: #936049

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 17:48:13 +0100

odb-api (0.18.1-6) unstable; urgency=medium

  * Parch to include std includes in headers needed for metview compilation
  * Change odb-api-bin depend on -dev pkg to a recommends. Closes: #925266
  * Build-Depend on gfortran | fortran-compiler for flang
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.0

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Aug 2019 15:00:31 +0100

odb-api (0.18.1-5) unstable; urgency=medium

  * Fix broken symlinks. Closes: #924162

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Mar 2019 09:18:57 +0000

odb-api (0.18.1-4) unstable; urgency=medium

  * Typo in d/control depencencies. Closes: #918738

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jan 2019 21:35:34 +0000

odb-api (0.18.1-3) unstable; urgency=medium

  * More sanitization of cmake scripts for reproducibility.
  * Don't ship odb_api-targets.cmake or  odb-targets.cmake in -dev package
    as the targets are mixed in -dev and -bin; magics++/metview build ok
    without them. Closes: #918554
  * Build with dh-fortran-mod >= 0.11 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Jan 2019 06:27:57 +0000

odb-api (0.18.1-2) unstable; urgency=medium

  * Add Conflicts: to libodb-api-dev on libodb-dev. (Unrelated, but both ship
    libodb.so). Closes: #917988.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jan 2019 12:12:28 +0000

odb-api (0.18.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on fcm
  * Use dh-fortran-mod > 0.7, with ${Fortran-Mod}
  * Sanitize cmake scripts for reproducible builds (remove build paths)
  * No longer ship syslog-* binaries
  * More shared libs; add debian 0d versioning
  * Drop M-A: same for python3 package
  * Move all .so packages to -dev pkg; make -bin pkg depend on -dev
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Jan 2019 12:25:12 +0000

odb-api (0.18.0-7) unstable; urgency=medium

  * Drop hard-coded xz compression
  * Rebuild against libeccodes without memfs
  * Add BLAS to Build-Depends 
  * Change gfortran-8 -> gfortran
  * Delete accidental python2.7* stuff in py3 package

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Nov 2018 08:53:10 +0000

odb-api (0.18.0-6) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Undo hard-coded gfortran-8 now transition complete
  * Delete obsolete symlinks. Closes: #909616

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Sep 2018 12:25:08 +0100
