=== debian/control ===
Source: odb-api
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=12),
 dh-python,
 dh-fortran-mod (>= 0.11),
 gfortran | fortran-compiler, 
 fcm,
 bison,
 flex,
 ecbuild,
 libeckit-dev (>= 1.4.2),
 liblz4-dev,
 libbz2-dev,
 libxxhash-dev,
 libsnappy-dev,
 libopenjp2-7-dev,
 libboost-dev (>= 1.47.0), libboost-test-dev, 
 libssl-dev,
 libemos-dev,
 libncurses5-dev,
 libnetcdf-cxx-legacy-dev,
 libeccodes-tools,
 chrpath,
 doxygen,
 swig,
 libeccodes-dev (>= 2.5.0),
 mpi-default-dev,
 python3-all-dev,
 libnetcdf-dev,
 libc6-dev-mips32 [mips64el]
Standards-Version: 4.4.1.0
Homepage: https://software.ecmwf.int/wiki/display/ODBAPI
Vcs-Browser: https://salsa.debian.org:/science-team/odb-api.git
Vcs-Git: https://salsa.debian.org:/science-team/odb-api.git

Package: libodb-api-0d
Section: libs
Architecture: any
Multi-Arch: same
Breaks: libodb-api-dev (<< 0.18.1-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, libodb-api-data
Description: Observational Data processing API for meteorology
 ODB API is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 ODB API works with data formats used in the ECMWF observational feedback
 archive.  Development of ODB API has been partially funded by the 
 UK Met Office.

Package: libodb-api-bin
Section: libs
Architecture: any
Multi-Arch: foreign
Depends: libodb-api-0d ( = ${binary:Version}), 
  ${shlibs:Depends}, ${misc:Depends}, ksh | mksh | pdksh | zsh
Recommends: libodb-api-dev (= ${binary:Version})
Description: Tools for the Observational Data Processing (ODB) API
 ODB API is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 This package provides tools for ODB handling.

Package: libodb-api-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data used by ECMWF Observational Data Processing (ODB) 
 ODB API is a software developed at ECMWF for encoding and processing of
 observational data. 
 .
 This package contains data used by ODB tools.
 
Package: libodb-api-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libodb-api-0d (= ${binary:Version}), libodb-api-bin (= ${binary:Version}), 
  ${misc:Depends}, libopenmpi-dev, libeckit-dev
Breaks: libodb-api-0d (<< 0.18.1-1)
Replaces: libodb-api-0d (<< 0.18.1-1)
Conflicts: libodb-dev
Recommends: libodb-api-bin, pkg-config, fortran-compiler
Description: Observational Data processing API for meteorology
 ODB API is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 This package provides shared libraries and headers.

Package: python3-odb-api
Section: python
Architecture: any
Depends: libodb-api-0d ( = ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Python Observational Data processing API for meteorology
 ODB API is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 This package provides the Python wrappers to the ODB API.
