=== debian/watch ===
version=3
https://confluence.ecmwf.int/display/ODBAPI/Releases /download/attachments/61117379/odb_api_bundle\-(.+)\-Source\.tar\.gz\?api=v2
